document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Search functionality
  const searchInput = document.querySelector('.search-container input');
  const searchButton = document.querySelector('.search-button');

  searchButton.addEventListener('click', () => {
    if (searchInput.value.trim() !== '') {
      // Add search functionality here
      console.log('Searching for:', searchInput.value);
    }
  });

  // Add loading animation for scene cards
  document.querySelectorAll('.scene-card').forEach(card => {
    card.addEventListener('mouseenter', () => {
      card.style.transform = 'translateY(-5px)';
    });
    
    card.addEventListener('mouseleave', () => {
      card.style.transform = 'translateY(0)';
    });
  });

  // Mobile menu toggle functionality
  const createMobileMenu = () => {
    if (window.innerWidth <= 768) {
      const nav = document.querySelector('nav');
      const mobileMenuButton = document.createElement('button');
      mobileMenuButton.classList.add('mobile-menu-button');
      mobileMenuButton.innerHTML = '☰';
      nav.appendChild(mobileMenuButton);

      mobileMenuButton.addEventListener('click', () => {
        const navLinks = document.querySelector('.nav-links');
        navLinks.style.display = navLinks.style.display === 'flex' ? 'none' : 'flex';
      });
    }
  };

  createMobileMenu();
  window.addEventListener('resize', createMobileMenu);
});